From 3fd17a87da7c50c055c92b2ffc6b2222f9c11fa9 Mon Sep 17 00:00:00 2001
From: Sebastian Bergmann <sb@sebastian-bergmann.de>
Date: Tue, 12 Mar 2024 07:19:56 +0100
Subject: [PATCH] php_pcre_match_impl() no longer has a use_flags argument in
 PHP >= 8.4

---
 pcov.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/pcov.c b/pcov.c
index f04ba9c..744e12b 100644
--- a/pcov.c
+++ b/pcov.c
@@ -136,8 +136,11 @@ static zend_always_inline zend_bool php_pcov_wants(zend_string *filename) { /* {
 #else
 				ZSTR_VAL(filename), ZSTR_LEN(filename),
 #endif
-				&match, NULL,
-				0, 0, 0, 0);
+				&match, NULL, 0,
+#if PHP_VERSION_ID < 80400
+				0,
+#endif
+				0, 0);
 
 			if (zend_is_true(&match)) {
 				zend_hash_add_empty_element(
